apiVersion: install.istio.io/v1alpha1
kind: IstioOperator
metadata:
  name: controlplane
spec:
  profile: default
  hub: registry.gitlab.com/fastplatform/ops/kustomize-bases/istio
  tag: 1.9.8-distroless
  components:
    pilot:
      enabled: true
      k8s: 
        hpaSpec:
          minReplicas: 1
          maxReplicas: 5
    ingressGateways:
    - name: istio-ingressgateway
      enabled: true
      k8s:
        hpaSpec:
          minReplicas: 1
          maxReplicas: 5
    egressGateways:
    - name: istio-egressgateway
      enabled: true
      k8s:
        hpaSpec:
          minReplicas: 1
          maxReplicas: 5
  meshConfig:
    enableTracing: true
    pathNormalization: 
      normalization: DECODE_AND_MERGE_SLASHES
  namespace: $(fastplatform.kustomize-bases.istio.namespace)
  values:
    global:
      istioNamespace: $(fastplatform.kustomize-bases.istio.namespace)
      proxy:
        autoInject: enabled
      